Bug 72776 - Installer crash when mouse probe fails
Summary: Installer crash when mouse probe fails
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: null
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-08-27 18:40 UTC by H. Peter Anvin
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-27 21:08:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description H. Peter Anvin 2002-08-27 18:40:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020703

Description of problem:
When trying to install null using the netboot.img image and an NFS install, I
got a crash after Anaconda starts up:

Running anaconda, the Red Hat Linux system installer - please wait...
Probing for video card:   ATI Rage Mobility
Probing for monitor type: Unable to probe
Probing for mouse type:   Traceback (most recent call last):
  File "/usr/bin/anaconda", line 427 in ?
    mousehw.probe (frob = 1)
  File "/usr/lib/python2.2/site-packages/rhpl/mouse.py", line 191, in probe
    self.set("No mouse")
  File "/usr/lib/python2.2/site-packages/rhpl/mouse.py", line 229, in set
     (gpm, x11, dev, em, shortname) = self.mice[mouse]
KeyError: No mouse
install exited abnormally

This system has a PS/2 mouse connected via a Belkin KVM switch.  The Belkin
switches are notorious for sometimes (very randomly) failing probe operations --
the mouse works, but if the OS probes, it won't "smell right" and therefore not
get detected.

Obviously, the proper action is to either fall back on a keyboard-based install
or (better) give the user a menu to choose what mouse type is present (which may
be "none".)


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
See Description.	

Additional info:

Comment 1 Michael Fulbright 2002-08-27 20:39:25 UTC
Jeremy this is fixed correct?

Comment 2 Jeremy Katz 2002-08-27 21:08:19 UTC
Yes (don't remember the other bug # off the top of my head, though)

Comment 3 Mike McLean 2002-08-29 19:20:09 UTC
no mouse installs work fine for me (falls back to text)
CLOSED->RAWHIDE


Note You need to log in before you can comment on or make changes to this bug.